
package org.mule.module.twilio.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>TwilioConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.twilio.TwilioConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class TwilioConnectorCapabilitiesAdapter
    extends org.mule.module.twilio.TwilioConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
